commit:     8e19de7db4cafc9de8e350d858277d0f1a948672
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 25 02:01:19 2019 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Feb 25 02:01:19 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e19de7d

dev-php/php-redmine-api: new version 1.5.16.

Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-php/php-redmine-api/Manifest                   |  1 +
 .../php-redmine-api/php-redmine-api-1.5.16.ebuild  | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-php/php-redmine-api/Manifest b/dev-php/php-redmine-api/Manifest
index 5664a59e717..621b8011dcf 100644
--- a/dev-php/php-redmine-api/Manifest
+++ b/dev-php/php-redmine-api/Manifest
@@ -1 +1,2 @@
+DIST php-redmine-api-1.5.16.tar.gz 34323 BLAKE2B 
5879c9a67959ec8104344d1d5c57ead036fc60d3bea2ae94684617a711eae0cf9c7d6d2eae6d94c273fdc06bed82f48e281c2895e37ddef2144be8f0881c5341
 SHA512 
e25dbcababcde4e0b3160f7060a837aa4e52a2f3b1b91bfb131c04c250c543fc41a3667d87c8a668057d5acbfac84f395dd3180b815921fc05edb6325d34dee5
 DIST php-redmine-api-1.5.9.tar.gz 36297 BLAKE2B 
32c8cd500b0134afcb20e792f21585315f9635e038bca118d6ea289e2c0f91632aa5e2db2c023969cb228d592a242902a47bbef119e58560b39ba4b418854f8b
 SHA512 
dd23dcadb27965568c3066f417edbff633eee5e804430568e60abf6b69f0fdfe36b73497984f80b055fae07cd3bb6f94264875f076b98f05327c474eb3f2ae5e

diff --git a/dev-php/php-redmine-api/php-redmine-api-1.5.16.ebuild 
b/dev-php/php-redmine-api/php-redmine-api-1.5.16.ebuild
new file mode 100644
index 00000000000..8325488aea3
--- /dev/null
+++ b/dev-php/php-redmine-api/php-redmine-api-1.5.16.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A simple, object-oriented, PHP Redmine API client"
+HOMEPAGE="https://github.com/kbsali/${PN}";
+SRC_URI="https://github.com/kbsali/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-lang/php:*[curl,json,simplexml]"
+BDEPEND="test? ( ${RDEPEND} >=dev-php/phpunit-4 )"
+
+src_install() {
+       insinto "/usr/share/php/${PN}"
+       doins -r lib
+
+       dodoc example.php README.markdown
+}
+
+src_test() {
+       phpunit || die "test suite failed"
+}
+
+pkg_postinst() {
+       elog "${PN} has been installed in /usr/share/php/${PN}/."
+       elog "To use it in a script, require('${PN}/lib/autoload.php'), and 
then"
+       elog "use the Redmine\\Client class normally. Most of the examples in 
the"
+       elog "documentation should work without modification."
+}

Reply via email to